Skip to content
POST/{organizationId}/{mandateId}/misc/questionnaires/submissions/export

Export questionnaire submissions

Exports questionnaire submissions

Required permissions:

  • mandate.read

  • questionnaireSubmission.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

formatstringrequired

Options:

csvxlsx

minItems: 1

maxItems: 1000

questionnaireFormIdstringrequired

A stringified json object representing a property filter

Default: {"createdAt":"desc"}

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/misc/questionnaires/submissions/export
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/misc/questionnaires/submissions/export' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "format": "csv",
  "questionnaireFormId": "string"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Response

200
{
  "state": "empty"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}